spring.application.name=DatePlanner
server.port=8080

#================== application configuration ===================
jwt.expiration.access=3600000
jwt.expiration.refresh=2592000000
jwt.secret=EklvImHzmPqvwWrtfkKldlKlivmdjJjrnzcvpPio0911ThisIsVeryStronPassword
#==================== database configuration ====================
db.username=
db.password=
db.url=

spring.r2dbc.url=r2dbc:postgresql://${db.url}
spring.r2dbc.username=${db.username}
spring.r2dbc.password=${db.password}
spring.sql.init.mode=always

spring.flyway.url=jdbc:postgresql://${db.url}
spring.flyway.user=${db.username}
spring.flyway.password=${db.password}
spring.flyway.encoding=UTF-8
spring.flyway.locations=db/migration
spring.flyway.validate-migration-naming=true
spring.flyway.baseline-on-migrate=true
#====================== minio configuration =====================
minio.bucket=${spring.application.name}
minio.url=
minio.cdn=
minio.username=
minio.password=
#========================== email config =========================
app.system.email=mohaned.alhalili@yandex.ru
app.system.email.password=lxdeaoebwmtkhths
app.system.email.port=465
app.system.email.server=smtp.yandex.ru

spring.mail.host=${app.system.email.server}
spring.mail.port=${app.system.email.port}
spring.mail.username=${app.system.email}
spring.mail.password=${app.system.email.password}
spring.mail.protocol=smtps
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.socketFactory.port=${app.system.email.port}
spring.mail.properties.mail.smtp.socketFactory.class=javax.net.ssl.SSLSocketFactory
spring.mail.properties.mail.smtp.socketFactory.fallback=false
#====================== turnstile config ========================
turnstile.site-key=1x00000000000000000000AA
turnstile.secret-key=1x0000000000000000000000000000000AA
turnstile.enabled=true